Bug 138383 - CAN-2004-0981 buffer overflow in ImageMagick's EXIF parser
Summary: CAN-2004-0981 buffer overflow in ImageMagick's EXIF parser
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ImageMagick   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard: impact=important,public=20041026
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-08 19:31 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 19:17:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:636 normal SHIPPED_LIVE Important: ImageMagick security update 2004-12-08 05:00:00 UTC

Description Josh Bressers 2004-11-08 19:31:37 UTC
A buffer overflow in imagemagick's EXIF parsing routine was fixed in
version 6.1.0: Trying to query EXIF information of a malicious image
file might result in execution of arbitrary code.

There is much more information in the Debian BTS.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=278401

Comment 1 Josh Bressers 2004-11-08 19:31:53 UTC
This issue should also affect RHEL2.1

Comment 2 Josh Bressers 2004-11-10 13:29:07 UTC
This issue will be fixed by RHSA-2004:636

Comment 3 Josh Bressers 2005-03-15 19:17:48 UTC
This issue was fixed on 2004-12-08 by RHSA-2004:636.


Note You need to log in before you can comment on or make changes to this bug.